Bug 119754 - Errors from network driver "sleeping function called from invalid context" in 2.6.4-1.300smp
Errors from network driver "sleeping function called from invalid context" in...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-01 18:27 EST by Simon Roberts
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 17:57:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Roberts 2004-04-01 18:27:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
With the latest kernel (and maybe the one before it) the kernel is
emitting many non-fatal log messages that appear to be from my network
driver. They're all the same:

Debug: sleeping function called from invalid context at mm/slab.c:1943
in_atomic():0, irqs_disabled():1
Call Trace:
 [<02121878>] __might_sleep+0x80/0x8a
 [<02146ae4>] kmem_cache_alloc+0x1c/0x15f
 [<82b19412>] Vpd+0x26/0x801 [sk98lin]
 [<82b1b89b>] MacPrivateConf+0xfe/0xb69 [sk98lin]
 [<82b17b6f>] SkPnmiGetStruct+0x330/0x3de [sk98lin]
 [<82b11992>] SkGeStats+0x90/0x1f6 [sk98lin]
 [<0225eed7>] dev_seq_printf_stats+0x11/0x7b
 [<0225ef90>] dev_seq_show+0x4f/0x55
 [<0217bcab>] seq_read+0x18c/0x250
 [<0215dd8c>] vfs_read+0xb8/0xe4
 [<0215df65>] sys_read+0x2c/0x42

Functionality appears unaffected. The machine is a p4p800-based
mainboard, with the onboard gigabit ethernet, see "Additional
Information" for lspci and /proc/interrupts.

This machine has been running -devel kernels for months, no problems.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.4-1.300

How reproducible:
Always

Steps to Reproduce:
1. boot
2. access network?
3.
    

Actual Results:  console+syslog gets many of those messages

Additional info:

[root@simon-linux RPMS]# lspci
00:00.0 Host bridge: Intel Corp. 82865G/PE/P DRAM Controller/Host-Hub
Interface (rev 02)
00:01.0 PCI bridge: Intel Corp. 82865G/PE/P PCI to AGP Controller (rev 02)
00:1d.0 USB Controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) USB UHCI
#1 (rev 02)
00:1d.1 USB Controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) USB UHCI
#2 (rev 02)
00:1d.2 USB Controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) USB UHCI
#3 (rev 02)
00:1d.3 USB Controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) USB UHCI
#4 (rev 02)
00:1e.0 PCI bridge: Intel Corp. 82801BA/CA/DB/EB/ER Hub interface to
PCI Bridge (rev c2)
00:1f.0 ISA bridge: Intel Corp. 82801EB/ER (ICH5/ICH5R) LPC Bridge
(rev 02)
00:1f.1 IDE interface: Intel Corp. 82801EB/ER (ICH5/ICH5R) Ultra ATA
100 Storage Controller (rev 02)
00:1f.2 IDE interface: Intel Corp. 82801EB (ICH5) Serial ATA 150
Storage Controller (rev 02)
00:1f.3 SMBus: Intel Corp. 82801EB/ER (ICH5/ICH5R) SMBus Controller
(rev 02)
00:1f.5 Multimedia audio controller: Intel Corp. 82801EB/ER
(ICH5/ICH5R) AC'97 Audio Controller (rev 02)
01:00.0 VGA compatible controller: Matrox Graphics, Inc. MGA G550 AGP
(rev 01)
02:03.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host
Controller (rev 80)
02:05.0 Ethernet controller: 3Com Corporation 3c940 1000Base? (rev 12)
02:09.0 Ethernet controller: D-Link System Inc DL10050 Sundance
Ethernet (rev 12)
[root@simon-linux RPMS]# cat /proc/interrupts
           CPU0       CPU1
  0:   32536470   32630546    IO-APIC-edge  timer
  1:       5493       6534    IO-APIC-edge  i8042
  2:          0          0          XT-PIC  cascade
  8:          1          0    IO-APIC-edge  rtc
  9:          0          0   IO-APIC-level  acpi
 12:     118225     128741    IO-APIC-edge  i8042
 14:      29545      28224    IO-APIC-edge  ide0
169:     215531     198233   IO-APIC-level  libata, uhci_hcd
177:         75          0   IO-APIC-level  Intel ICH5
185:          0          0   IO-APIC-level  uhci_hcd, uhci_hcd
193:          0          0   IO-APIC-level  uhci_hcd
225:     278888     270228   IO-APIC-level  SysKonnect SK-98xx
NMI:          0          0
LOC:   65173110   65172324
ERR:          0
MIS:          0
[root@simon-linux RPMS]#

(That's with 18 hours uptime)
Comment 1 Bob Arendt 2004-04-03 11:57:16 EST
same mainboard, same problem.  Also seen with 2.6.4-1.303smp

I can generate the "Debug: sleeping function called ... " on demand with:

% cat /proc/net/dev
Inter-|   Receive                                                | 
Transmit
 face |bytes    packets errs drop fifo frame compressed
multicast|bytes    packets errs drop fifo colls carrier compressed
    lo:   12662     182    0    0    0     0          0         0   
12662     182    0    0    0     0       0          0
  eth0:16256233   18943    0    0    0     0          0         0 
1855126   25553    0    0    0     0       0          0
  sit0:       0       0    0    0    0     0          0         0    
   0       0    0    0    0     0       0          0

Then in /var/log/messages:
kernel: Debug: sleeping function called from invalid context at
mm/slab.c:1943 
kernel: in_atomic():0, irqs_disabled():1 
kernel: Call Trace:  
kernel:  [<021217dc>] __might_sleep+0x80/0x8a 
kernel:  [<02146140>] kmem_cache_alloc+0x1b/0x50 
kernel:  [<22913412>] Vpd+0x26/0x801 [sk98lin] 
kernel:  [<22911b6f>] SkPnmiGetStruct+0x330/0x3de [sk98lin] 
kernel:  [<2290b992>] SkGeStats+0x90/0x1f6 [sk98lin] 
kernel:  [<0226f01b>] dev_seq_printf_stats+0x11/0x7b 
kernel:  [<0226f0d4>] dev_seq_show+0x4f/0x55 
kernel:  [<0217a9df>] seq_read+0x18c/0x250 
kernel:  [<0215cac0>] vfs_read+0xb8/0xe4 
kernel:  [<0215cc99>] sys_read+0x2c/0x42 
kernel:  
Comment 2 Simon Roberts 2004-04-04 19:16:02 EDT
Appears to be back to normal with kernel-smp-2.6.4-1.305
Comment 3 Bob Arendt 2004-04-05 00:51:09 EDT
Concur, kernel 2.6.4-1.305smp seems to have fixed the problem



Note You need to log in before you can comment on or make changes to this bug.